java.lang.UnsatisfiedLinkError: could not locate stub library in jar file. Tried [jni/x86_64-Linux/libjffi-१.२.so, /jni/x86_64-Linux/libjffi-१.२.so]

  1. 0

    logstash error while starting -- LoadError: Could not load FFI Provider:

    Stack Overflow | 3 months ago | Mupparthy Ravindranath
    java.lang.UnsatisfiedLinkError: could not locate stub library in jar file. Tried [jni/x86_64-Linux/libjffi-१.२.so, /jni/x86_64-Linux/libjffi-१.२.so]
  2. 0

    GitHub comment 2950#104045687

    GitHub | 2 years ago | richrarobi
    java.lang.UnsatisfiedLinkError: /opt/jruby/lib/jni/arm-Linux/libjffi-1.2.so: /opt/jruby/lib/jni/arm-Linux/libjffi-1.2.so: cannot open shared object file: No such file or directory
  3. 0

    GitHub comment 2950#104045687

    GitHub | 2 years ago | richrarobi
    java.lang.UnsatisfiedLinkError: /opt/jruby/lib/jni/arm-Linux/libjffi-1.2.so: /opt/jruby/lib/jni/arm-Linux/libjffi-1.2.so: cannot open shared object file: No such file or directory
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    logstash error while starting -- LoadError: Could not load FFI Provider:

    Stack Overflow | 3 months ago | Mupparthy Ravindranath
    java.lang.UnsatisfiedLinkError: Can't load library: /usr/java/packages/lib/amd64/libjffi-१.२.so
  6. 0

    linux дистрибутивы 4.1.0, runawfe4-notifier_4.1.0-eter5debian_amd64, debian 7.3 amd64, не запускается, critical error

    runawfe | 2 years ago | vromav
    java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons: no swt-pi-gtk-4233 in java.library.path no swt-pi-gtk in java.library.path Can't load library: /home/tester/.swt/lib/linux/x86_64/libswt-pi-gtk-4233.so Can't load library: /home/tester/.swt/lib/linux/x86_64/libswt-pi-gtk.so /home/tester/.swt/lib/linux/x86_64/libswt-pi-gtk-4233.so: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /home/tester/.swt/lib/linux/x86_64/libswt-pi-gtk-4233.so)

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.lang.UnsatisfiedLinkError

      could not locate stub library in jar file. Tried [jni/x86_64-Linux/libjffi-१.२.so, /jni/x86_64-Linux/libjffi-१.२.so]

      at com.kenai.jffi.internal.StubLoader.getStubLibraryStream()
    2. JRuby Main Maven Artifact
      StubLoader.<clinit>
      1. com.kenai.jffi.internal.StubLoader.getStubLibraryStream(StubLoader.java:396)
      2. com.kenai.jffi.internal.StubLoader.loadFromJar(StubLoader.java:345)
      3. com.kenai.jffi.internal.StubLoader.load(StubLoader.java:254)
      4. com.kenai.jffi.internal.StubLoader.<clinit>(StubLoader.java:434)
      4 frames
    3. Java RT
      Class.forName
      1. java.lang.Class.forName0(Native Method)
      2. java.lang.Class.forName(Class.java:348)
      2 frames
    4. JRuby Main Maven Artifact
      Platform.isSupported
      1. com.kenai.jffi.Init.load(Init.java:68)
      2. com.kenai.jffi.Foreign$InstanceHolder.getInstanceHolder(Foreign.java:49)
      3. com.kenai.jffi.Foreign$InstanceHolder.<clinit>(Foreign.java:45)
      4. com.kenai.jffi.Foreign.getInstance(Foreign.java:103)
      5. com.kenai.jffi.Platform.isSupported(Platform.java:370)
      5 frames